function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
  if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
add_free_leaf("map19",18,101);
set_satelite_leaf("poezd");
DoFile(18,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
     if sender==35 then
    if obj_id==220 then
      StartAnimation(220,0,3)
    return;end;  
  return;end;
  if sender==12 then
    if flags.map then
    
       CreateWindow(150,250,"202",nil,nil,250,30);    
    return;end;
  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(42,"Svet4",220,260);
      MoveEmiter("Svet4",220,260);
      StartEmiter("Svet4"); 
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      savegame(SaveLevel());
      CreateWindow(150,250,"202",nil,nil,250,30);             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    if attachedID == -1 then
    if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          delete_tree_leaf("Root","poezd");-- Добавляет лист в дерево 
          setnextlavel(19);
          loadlavel();
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;  
  
    if obj_id==42 then
    if (not flags.minicomplete37) then
    -- if flags.map then
        --setcurentleaf("mini",0,1);
        playeffect("29");
        add_free_leaf("Root","mini37",0,47);-- Добавляет чистый лист
        set_satelite_leaf("poezd");
        DoFile(0,47)
        mini_create();
        flags.nohints=true;
    -- return; end;
    -- CreateWindow(150,250,"201",nil,nil,250,30);
    return; end;
    return; end;
        
      
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
    return; end;  
  return; end;
-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;

  if sender==4 then
  -- WriteToConsole("sender = 4, lev18.0".." "..sender.."\n")
    flags.map=true;
    
  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
  selectrandomobject(1.5,42);
end;
function SelectRandomRadar(idObject)


  selectrandomobject(1.5,idObject);
end;
